/***************************************************************************
 *   Copyright (C) 2003 by Glen Canaday                                    *
 *   gurensan@tampabay.rr.com                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FRETSCALE_H
#define FRETSCALE_H

#include <qvariant.h>
#include <qmainwindow.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QButtonGroup;
class QRadioButton;
class QLabel;
class QPushButton;
class QLineEdit;
class QTable;
class QPrinter;

class FretScale : public QMainWindow
{
    Q_OBJECT

public:
    FretScale( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~FretScale();
    int numFrets;
    float scale;
    int decimals;
    float remaining;
    float fret;
    int NUM_FRETS_MAX;
    QButtonGroup* frmDecimals;
    QRadioButton* rdo3;
    QRadioButton* rdo4;
    QLabel* lblFrets;
    QLabel* lblScale;
    QPushButton* btnCalculate;
    QLineEdit* leFrets;
    QLineEdit* leScale;
    QTable* tblResults;
    QMenuBar *MenuBar;
    QPopupMenu *fileMenu;
    QPopupMenu *helpMenu;
    QAction* fileSaveAsAction;
    QAction* filePrintAction;
    QAction* fileExitAction;
    QPrinter * printer;
public slots:
    virtual void fileSaveAs();
    virtual void filePrint();
    virtual void fileExit();
    virtual void calculate();
};

#endif // FRETSCALE_H
